Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free.

Could anyone confirm me if this printer is supported and it is working under ubuntu (any version)?

On their website it says it doesn't support linux (is missing from OS list I mean).

share|improve this question
    
This is your best bet: launchpad.net/~michael-gruz/+archive/canon-stable it is a package for canon printers. Almost all canon printers we have here can be installed with that package. Daily version here: launchpad.net/~michael-gruz/+archive/canon-trunk LBP6200D is supported: wiki.ubuntu.com/HardwareSupportComponentsPrintersCanon You could try that device when searching for the printer in "printers" –  Rinzwind May 9 '14 at 14:51
    
Is your printer working now? If you found an answer to your question, please post it as answer. –  Ikrom Oct 29 '14 at 4:21
    
Yes, my printer is working flawlessly now with a bit of trouble at installing. As an advice for anyone who wants to install it on x64 machines, first u have to install all the dependency packages for x86 version, and then install the x64 .deb/rpm packages. –  Alexunder May 23 at 13:21

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.